%define major	0
%define apiver	2.0
%define libname	%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname -d %{name}
%define develsname	%mklibname -d -s %{name}

%define sname	SDL2_ttf

Summary:	Simple DirectMedia Layer 2 - Sample TrueType Font Library
Name:		sdl2_ttf
Version:	2.0.14
Release:	%mkrel 1
License:	Zlib
Group:		System/Libraries
URL:		http://www.libsdl.org/projects/SDL_ttf/
Source0:	http://www.libsdl.org/projects/SDL_ttf/release/%{sname}-%{version}.tar.xz
BuildRequires:  freetype2-devel
BuildRequires:	sdl2-devel

%description
This is a sample library which allows you to use TrueType fonts in your SDL2
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/Libraries
Requires:     %{libname} = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{libname}-test
Summary:	Test binary for %{name}
Group:		System/Libraries
Conflicts:	showfont
Conflicts:	%{_lib}SDL_ttf2.0_0-test

%description -n %{libname}-test
This package contains binary to test the associated library.

%prep
%setup -q -n %{sname}-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

#dont want this
rm -f %buildroot/%{_libdir}/*.la

install -d %{buildroot}%{_bindir}
install -m755 .libs/{showfont,glfont} %{buildroot}%{_bindir}

%files -n %{libname}-test
%defattr(-,root,root)
%{_bindir}/showfont
%{_bindir}/glfont

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING.txt
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/%{sname}.pc

%files -n %{develsname}
%defattr(-,root,root)
%{_libdir}/lib*.a


%changelog
* Sat Apr 15 2017 ghostbunny <ghostbunny at gmx dot de> 2.0.14-1pclos2017
- 2.0.14
- add BR freetype2-devel, sdl2-devel

* Sat Jan 16 2016 bb <bb> 2.0.13-1pclos2016
- update

* Sun Mar 23 2014 bb <bb> 2.0.12-1pclos2014
- update
